Description

We should ask the user to enter their institution name or other affiliation as well.  This could be displayed next to their name in other
parts of the interface perhaps.  I remarked in bug #51 (Add member to project should not show list of all members) that we could
usefully show the email address for a user to disambiguate them -- perhaps this would be an alternative way to do that.

We could possibly formalise this by including a drop down with all known UK educational institutions in it already -- with an "Other"
text field.  That way we'd avoid the otherwise inevitable multiplicity of spellings and formulations of institution names.  Maybe the
development & maintenance effort is too much to make it worthwhile, I'm not sure.

Related issues:
Related to Bug # 79: SSAMR specific field validation not working correctly Closed 2011-01-31

History
#1 - 2010-12-15 11:19 AM - Chris Cannam
- File unis.txt added
- Assignee set to Luis Figueira

Attached is a list of UK universities (cribbed from Wikipedia).  This is probably in the correct order as well.  Note that the XML entity &#373; is "Latin
small letter W with circumflex" (as in http://en.wikipedia.org/wiki/Glynd%C5%B5r_University).

#2 - 2011-01-31 02:46 PM - Chris Cannam

Tested commit:bad82329a115 just now on your test site.  I found:

    -  The radio buttons work, in that when I select one of them, the other one is deselected and its associated item is disabled

    -  The radio buttons have no default when the page is first loaded -- neither is selected, and both of the input fields are enabled

    -  The institution field is not mandatory -- it probably should be, which means either one or the other needs to have something in it

    -  After registration, only the institution dropdown (and not the "Other" option) is visible in the My Account page

The last point makes it tricky for me to test whether the option is doing the right thing, since I can't actually see the results.  (The three accounts I
registered -- weaselly, stoatally and mink -- had an institution selected from the dropdown; no institution selected at all and no radio button checked
[which should not be possible]; and an institution entered in the text field, respectively.)

#3 - 2011-01-31 09:06 PM - Luis Figueira
- Status changed from New to Feedback
- Priority changed from Urgent to Normal
Updated my test site with the changes described above.

Found one new issue, though: the validation of  both description and institution fields is not working correctly. I'll create a new issue for this problem.

#4 - 2011-01-31 09:07 PM - Luis Figueira
- Assignee changed from Luis Figueira to Chris Cannam

#5 - 2011-02-01 10:16 AM - Chris Cannam

Testing commit:bb9724ba3d60 in your test site.

So far I've only properly tested the My Account page for existing users, as I need to wait for approval on new registrations.

That said, the only problem I've found so far is a minor layout one -- because the browser window isn't really wide enough, I get a line-break between
the radio button and its corresponding input field.  It may be a good idea if possible to enclose the radio button and input field in a <nobr> or similar.

#6 - 2011-02-02 10:04 AM - Chris Cannam
- Assignee changed from Chris Cannam to Luis Figueira
- Priority changed from Normal to Urgent
- % Done changed from 0 to 90

Testing again following resolution of bug #79.

I find three minor problems:

    -  The Unicode character entity in Glend[w]r University is being rendered escaped, both in the dropdown menu and the resulting account page -- see
for example the account of Otterly the Otter who is registered at this institution

    -  There is a line-break between radio button and input field (as noted in my previous comment)

    -  If you have no institution set yet (as is the case for every existing user right now), or if you have an "Other" institution set rather than an institution
selected from the dropdown list, then your account page always shows "University of Aberdeen" (or some other actual institution) as highlighted in the
dropdown -- i.e. there is no "Please Select..." entry in the dropdown as it appears here.  I imagine this may be deliberate, but I think it would seem a bit
strange not to be able to reset the dropdown to an indeterminate state if you aren't actually using it.

Also, I have a concern (which I should have thought of earlier!) about the ordering of institutions.  Are they ordered by database primary key, or is there
a separate column that gives the order for the menu?  It doesn't make any difference now, but if we ever want to add something to the middle of the
list, then we will need to be able to do so without changing the existing primary keys!

#7 - 2011-02-03 05:57 PM - Chris Cannam
- Status changed from Feedback to In Progress

All the bugs listed in my previous comment seem to be fixed.  Just copying this one here from #64 where I first noticed it (though it's not a bug in the
T&Cs code I don't think).

    -  go to Register page
    -  fill in the whole form but don't check the T&Cs box; be sure to change the institution to something memorable
    -  submit
    -  page is correctly rejected, but when it comes back with the rejection note, the institution has been reset to the University of Aberdeen (not the one
you actually selected).

This just bit me when registering a test user -- I didn't spot that the institution had been reset until after I'd already fixed the errors and hit Submit again,
so I ended up with the user having the wrong institution.  It's particularly dangerous since the one that comes back is a "valid" institution (University of
Aberdeen) instead of the "safe" default ("Please select"), so it will be happily accepted when you resubmit without noticing it.

#8 - 2011-02-07 01:58 PM - Chris Cannam
- Status changed from In Progress to Closed

Now fixed -- thanks.  Tested in both test sites, merged to live, published.  Now live.

Downloads
unis.txt 3.64 KB 2010-12-15 Chris Cannam
